#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		ZNAME		ZRTPCPP
#-----------------------------------------------------------------------------
Name		:	libzrtpcpp
Version		:	4.6.6
Release		:	16.2.0.rel%{?dist}
Summary		:	ZRTP support library for the GNU ccRTP stack
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv3+
URL		:	https://github.com/wernerd/ZRTPCPP

Source0		:	%{ZNAME}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	ccrtp
#-----------------------------------------------------------------------------
%description
'%{name}' provides a library that adds ZRTP support to the GNU
ccRTP stack. Phil Zimmermann developed ZRTP to allow ad-hoc, easy to
use key negotiation to setup Secure RTP (SRTP) sessions. GNU ZRTP
together with GNU ccRTP (1.5.0 or later) provides a ZRTP
implementation that can be directly embedded into client and server
applications.


#-----------------------------------------------------------------------------
%prep
%setup -q -n %{ZNAME}-%{version}

sed -i							\
  -e "s/NOT LIB_SUFFIX/NOT DEFINED LIB_SUFFIX/"		\
  CMakeLists.txt
#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build
pushd build
CFLAGS=-Wno-expansion-to-defined			\
CXXFLAGS=-Wno-expansion-to-defined			\
cmake							\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}		\
	-DLIB_SUFFIX=""					\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

make							\
	-C build					\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc AUTHORS COPYING NEWS.md README.md
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/common/*.h
%{_libdir}/%{name}.so*
%{_libdir}/pkgconfig/%{name}.pc

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
